Index: /trunk/LMDZ.VENUS/libf/phyvenus/photochemistry_venus.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/photochemistry_venus.F90	(revision 2924)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/photochemistry_venus.F90	(revision 2925)
@@ -212,10 +212,10 @@
 if (ok_jonline) then
    if (sza_input <= 95.) then ! day at 300 km
-      call photolysis_online(nz, nb_phot_max, zlocal, p,                 &
-                             t, mumean, i_co2,i_co, i_o, i_o1d,          &
+      call photolysis_online(nz, nb_phot_max, zlocal, p,                  &
+                             t, mumean, i_co2,i_co, i_o, i_o1d,           &
                              i_o2, i_o3, i_h2, i_oh, i_ho2, i_h2o2, i_h2o,&
-                             i_h, i_hcl, i_cl2, i_hocl, i_so2, i_so,     &
-                             i_so3, i_clo, i_ocs, i_cocl2, i_h2so4, i_cl,&
-                             i_no2, i_no, i_n2, i_n2d,                   &
+                             i_h, i_hcl, i_cl2, i_hocl, i_so2, i_so,      &
+                             i_so3, i_s2, i_clo, i_ocs, i_cocl2, i_h2so4, &
+                             i_cl, i_no2, i_no, i_n2, i_n2d,              &
                              nesp, tr, sza_input, dist_sol, v_phot)
 
@@ -609,4 +609,12 @@
 
 !===========================================================
+!       S2 + hv -> S + S
+!===========================================================
+
+nb_phot = nb_phot + 1
+
+indice_phot(nb_phot) = z3spec(1.0, i_s2, 2.0, i_s, 0.0, i_dummy)
+
+!===========================================================
 !      ClO + hv -> Cl + O
 !===========================================================
@@ -1128,4 +1136,12 @@
 
 !===========================================================
+!      d014 : N(2D) + CO -> N + CO
+!===========================================================
+
+nb_phot = nb_phot + 1
+
+indice_phot(nb_phot) = z3spec(1.0, i_n2d, 1.0, i_n, 0.0, i_dummy)
+
+!===========================================================
 !      e001 : CO + OH -> CO2 + H 
 !===========================================================
@@ -1647,69 +1663,61 @@
 
 !===========================================================
-!      g023 : S2 + hv -> S + S 
+!      g023 : S2 + O -> SO + S
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_s2, 1.0, i_o, 1.0, i_so, 1.0, i_s)
+
+!===========================================================
+!      g024 : S + OCS -> S2 + CO
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_ocs, 1.0, i_s2, 1.0, i_co)
+
+!===========================================================
+!      g025 : OCS + O -> SO + CO
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_ocs, 1.0, i_o, 1.0, i_so, 1.0, i_co)
+
+!===========================================================
+!      g026 : S + SO3 -> SO2 + SO
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_so3, 1.0, i_so2, 1.0, i_so)
+
+!===========================================================
+!      g027 : S + HO2 -> SO + OH
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_ho2, 1.0, i_so, 1.0, i_oh)
+
+!===========================================================
+!      g028 : S + ClO -> SO + Cl
+!===========================================================
+
+nb_reaction_4 = nb_reaction_4 + 1
+
+indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_clo, 1.0, i_so, 1.0, i_cl)
+
+!===========================================================
+!      g029: h2so4 + h2o -> so3 + h2o + h2o
 !===========================================================
 
 nb_phot = nb_phot + 1
 
-indice_phot(nb_phot) = z3spec(1.0, i_s2, 2.0, i_s, 0.0, i_dummy)
-
-!===========================================================
-!      g024 : S2 + O -> SO + S
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_s2, 1.0, i_o, 1.0, i_so, 1.0, i_s)
-
-!===========================================================
-!      g025 : S + OCS -> S2 + CO
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_ocs, 1.0, i_s2, 1.0, i_co)
-
-!===========================================================
-!      g026 : OCS + O -> SO + CO
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_ocs, 1.0, i_o, 1.0, i_so, 1.0, i_co)
-
-!===========================================================
-!      g027 : S + SO3 -> SO2 + SO
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_so3, 1.0, i_so2, 1.0, i_so)
-
-!===========================================================
-!      g028 : S + HO2 -> SO + OH
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_ho2, 1.0, i_so, 1.0, i_oh)
-
-!===========================================================
-!      g029 : S + ClO -> SO + Cl
-!===========================================================
-
-nb_reaction_4 = nb_reaction_4 + 1
-
-indice_4(nb_reaction_4) = z4spec(1.0, i_s, 1.0, i_clo, 1.0, i_so, 1.0, i_cl)
-
-!===========================================================
-!      g030: h2so4 + h2o -> so3 + h2o + h2o
-!===========================================================
-
-nb_phot = nb_phot + 1
-
 indice_phot(nb_phot) = z3spec(1.0, i_h2so4, 1.0, i_so3, 1.0, i_h2o)
 
 !===========================================================
-!      g031: so3 + ocs -> s2o2 +  co2
+!      g030: so3 + ocs -> s2o2 +  co2
 !===========================================================
 
@@ -1719,5 +1727,5 @@
 
 !===========================================================
-!      g032: s2o2 + ocs -> co + so2 + s2
+!      g031: s2o2 + ocs -> co + so2 + s2
 !===========================================================
 !	decomposee en
@@ -1735,5 +1743,5 @@
 
 !===========================================================
-!      g033: so + so -> so2 + s
+!      g032: so + so -> so2 + s
 !===========================================================
 
@@ -1896,4 +1904,5 @@
 
 !===========================================================
+
 !      i016 : N2+ + CO2 -> CO2+ + N2 
 !===========================================================
@@ -2286,6 +2295,9 @@
 
 print*, 'nb_phot       = ', nb_phot
+print*, 'nb_phot_max   = ', nb_phot_max
 print*, 'nb_reaction_4 = ', nb_reaction_4
+print*, 'nb_reaction_4_max = ', nb_reaction_4_max
 print*, 'nb_reaction_3 = ', nb_reaction_3
+print*, 'nb_reaction_3_max = ', nb_reaction_3_max
 
 !print*, 'check dimension'
@@ -2581,5 +2593,5 @@
                        c015, c016, c017, c018,                     &
                        d001, d002, d003, d004, d005, d006, d007,   &
-                       d008, d009, d010, d011, d012, d013,         &
+                       d008, d009, d010, d011, d012, d013, d014,   &
                        e001, e002, e003, e004, e005, e006, e007,   &
                        e008, e009, e010, e011, e012, e013, e014,   &
@@ -2599,5 +2611,5 @@
                        g015, g016, g017, g018, g019, g020, g021,   &
                        g022, g023, g024, g025, g026, g027, g028,   &
-                       g029, g030, g031, g032, g033,               &
+                       g029, g030, g031, g032,                     &
                        h001, h002, h003,                           &
                        i001, i002, i003, i004, i005, i006,         &
@@ -2611,5 +2623,5 @@
                        i055, i056, i057, i058, i059, i060, i061,   &
                        i062, i063,                                 &
-                       j001, j002
+                       j001, j002                                  
 !----------------------------------------------------------------------
 !     initialisation
@@ -3079,10 +3091,20 @@
 
 !---  d013: n + o + co2 -> no + co2
+
+!     Campbell & Trush, 1966      
+
+      d013(:) = 2.5 * conc(:) * 1.83e-32 * (298./t(:))**0.5
       
-      d013(:) = 1.83e-32 * (298./t(:))**0.5
-      
       nb_reaction_4 = nb_reaction_4 + 1
       v_4(:,nb_reaction_4) = d013(:)
 
+!--- d014: n2d + co -> n + co
+
+!    herron, j. phys. chem. ref. data, 1999
+
+     d014(:) = 1.9e-12
+
+     nb_phot = nb_phot + 1
+     v_phot(:,nb_phot) = d014(:)*c(:,i_co)
 !----------------------------------------------------------------------
 !        reactions des composes carbones
@@ -3805,96 +3827,66 @@
       v_3(:,nb_reaction_3) = g022(:)
 
-!---  g023: s2 + co2 -> s + s + co2
-
-!     chase et al., 1985
-
-!      deq(:) = 2.68E-25*exp(50860./t(:))
-
-!      g023(:) = g022(:)/(deq(:)*conc(:))
-
-!      nb_phot = nb_phot + 1
-!      v_phot(:,nb_phot) = g023(:)*conc(:)
-
-!---  temporary treatment of s2 photolysis
-
-!     s2 + hv -> s + s
-
-!     under the clouds: no photolysis
-
-      g023(1:28)  = 0.
-
-!     above the clouds: value derived from Mills, 1998
-
-      if (sza_input < 90.) then
-        g023(29:nz) = 6.5e-3*cos(sza_input*pi/180.)
-      else
-        g023(29:nz) = 0.
-      end if
-           
-      nb_phot = nb_phot + 1
-      
-      v_phot(:,nb_phot) = g023(:)
-
-!---  g024: s2 + o -> so + s 
+
+!---  g023: s2 + o -> so + s 
 
 !     zhang et al., icarus, 2011
 
-      g024(:) = 2.2E-11*exp(-84./t(:))
+      g023(:) = 2.2E-11*exp(-84./t(:))
 
       nb_reaction_4 = nb_reaction_4 + 1
       v_4(:,nb_reaction_4) = g024(:)
 
-!---  g025: s + ocs -> s2 +  co
+!---  g024: s + ocs -> s2 +  co
 
 !     lu et al., j. chem. phys., 2006
 
-      g025(:) = 6.63E-20*(t(:)**2.57)*exp(-1180./t(:))
+      g024(:) = 6.63E-20*(t(:)**2.57)*exp(-1180./t(:))
       
 !      g025(:) = 0.0E+0
 
       nb_reaction_4 = nb_reaction_4 + 1
+      v_4(:,nb_reaction_4) = g024(:)
+
+!---  g025: ocs + o -> so + co
+
+!     atkinson et al., 2004
+
+      g025(:) = 1.60E-11*exp(-2150./t(:))
+
+      nb_reaction_4 = nb_reaction_4 + 1
       v_4(:,nb_reaction_4) = g025(:)
 
-!---  g026: ocs + o -> so + co
-
-!     atkinson et al., 2004
-
-      g026(:) = 1.60E-11*exp(-2150./t(:))
+!---  g026: s + so3 -> so2 +  so
+
+!     moses et al., 2002
+
+      g026(:) = 1.0E-16
 
       nb_reaction_4 = nb_reaction_4 + 1
       v_4(:,nb_reaction_4) = g026(:)
 
-!---  g027: s + so3 -> so2 +  so
+!---  g027: s + ho2 -> so +  oh
+
+!     yung and demore, 1982
+
+      g027(:) = 3.0E-11*exp(200./t(:))
+
+      nb_reaction_4 = nb_reaction_4 + 1
+      v_4(:,nb_reaction_4) = g027(:)
+
+!---  g028: s + clo -> so +  cl
 
 !     moses et al., 2002
 
-      g027(:) = 1.0E-16
-
-      nb_reaction_4 = nb_reaction_4 + 1
-      v_4(:,nb_reaction_4) = g027(:)
-
-!---  g028: s + ho2 -> so +  oh
-
-!     yung and demore, 1982
-
-      g028(:) = 3.0E-11*exp(200./t(:))
+      g028(:) = 4.0E-11
 
       nb_reaction_4 = nb_reaction_4 + 1
       v_4(:,nb_reaction_4) = g028(:)
 
-!---  g029: s + clo -> so +  cl
-
-!     moses et al., 2002
-
-      g029(:) = 4.0E-11
-
-      nb_reaction_4 = nb_reaction_4 + 1
-      v_4(:,nb_reaction_4) = g029(:)
-
-!---  g030: h2so4 + h2o -> so3 + h2o + h2o 
+!---  g029: h2so4 + h2o -> so3 + h2o + h2o 
 
 !     krasnopolsky , 2007 
 
-      g030(:) = 7.0E-14*exp(-5170./t(:))
+      g029(:) = 7.0E-14*exp(-5170./t(:))
 
 !      g030(:) = g011(:)/(deq(:)*c(:,i_h2o))
@@ -3902,18 +3894,18 @@
 
       nb_phot = nb_phot + 1
-      v_phot(:,nb_phot) = g030(:)*c(:,i_h2o)
+      v_phot(:,nb_phot) = g029(:)*c(:,i_h2o)
  !     v_phot(:,nb_phot) = 0.0E+0
       
-!---  g031: so3 + ocs -> s2o2 +  co2
+!---  g030: so3 + ocs -> s2o2 +  co2
 
 !     krasnopolsky , 2007 
 
-      g031(:) = 1.0E-11*exp(-10000./t(:))
+      g030(:) = 1.0E-11*exp(-10000./t(:))
 !      g031(:) = 0.0E+0
       
       nb_reaction_4 = nb_reaction_4 + 1
-      v_4(:,nb_reaction_4) = g031(:)
+      v_4(:,nb_reaction_4) = g030(:)
       
-!---  g032: s2o2 + ocs -> co + so2 + s2
+!---  g031: s2o2 + ocs -> co + so2 + s2
 
 !	decomposee en
@@ -3923,21 +3915,21 @@
 !     krasnopolsky , 2007 
 
-      g032(:) = 1.0E-20
+      g031(:) = 1.0E-20
 !      g032(:) = 0.0E+0
       
       nb_reaction_4 = nb_reaction_4 + 1
-      v_4(:,nb_reaction_4) = g032(:)
+      v_4(:,nb_reaction_4) = g031(:)
       
       nb_reaction_4 = nb_reaction_4 + 1
-      v_4(:,nb_reaction_4) = g032(:)
-
-!      g033: so + so -> so2 + s
+      v_4(:,nb_reaction_4) = g031(:)
+
+!      g032: so + so -> so2 + s
 !  Krasnopolsky 2012 from Martinez & Heron 1983 or Moses et al 2002
 
-!      g033(:) = 3.5E-15
-      g033(:) =1.0E-12*exp(-1700.0/t(:))
+!      g032(:) = 3.5E-15
+      g032(:) =1.0E-12*exp(-1700.0/t(:))
       
       nb_reaction_3 = nb_reaction_3 + 1
-      v_3(:,nb_reaction_3) = g033(:)
+      v_3(:,nb_reaction_3) = g032(:)
             
 !----------------------------------------------------------------------
@@ -4603,6 +4595,4 @@
       !end do
       end if
-      !!!!!!!!!!!!!!!
-
 return
 end subroutine krates
Index: /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_mod.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_mod.F90	(revision 2924)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_mod.F90	(revision 2925)
@@ -5,9 +5,9 @@
 ! photolysis
 
-  integer, save :: nphot = 23             ! number of photolysis 
+  integer, save :: nphot = 24             ! number of photolysis 
 
 !$OMP THREADPRIVATE(nphot)
 
-  integer, parameter :: nabs  = 20        ! number of absorbing gases
+  integer, parameter :: nabs  = 21        ! number of absorbing gases
 
 ! spectral grid
@@ -44,4 +44,5 @@
   real, dimension(nw), save :: xsclo                                  ! clo absorption cross-section (cm2)
   real, dimension(nw), save :: xsocs                                  ! cos absorption cross-section (cm2)
+  real, dimension(nw), save :: xss2                                   ! s2 absorption cross-section (cm2)
   real, dimension(nw), save :: xscocl2                                ! cocl2 absorption cross-section (cm2)
   real, dimension(nw), save :: xsh2so4                                ! h2so4 absorption cross-section (cm2)
@@ -139,4 +140,8 @@
 
   call rdxscocl2(nw,wl,xscocl2)
+
+! read and grid s2 cross-sections
+
+  call rdxss2(nw,wl,xss2)
 
 ! read and grid h2so4 cross-sections
@@ -1529,4 +1534,80 @@
 !==============================================================================
 
+      subroutine rdxss2(nw, wl, yg)
+
+!-----------------------------------------------------------------------------*
+!=  PURPOSE:                                                                 =*
+!=  Read S2 molecular absorption cross section.  Re-grid data to match      =*
+!=  specified wavelength working grid.                                       =*
+!-----------------------------------------------------------------------------*
+!=  PARAMETERS:                                                              =*
+!=  NW     - INTEGER, number of specified intervals + 1 in working        (I)=*
+!=           wavelength grid                                                 =*
+!=  WL     - REAL, vector of lower limits of wavelength intervals in      (I)=*
+!=           working wavelength grid                                         =*
+!=  YG     - REAL, molecular absoprtion cross section (cm^2) of H2O at    (O)=*
+!=           each specified wavelength                                       =*
+!-----------------------------------------------------------------------------*
+
+      USE mod_phys_lmdz_para, ONLY: is_master
+      USE mod_phys_lmdz_transfert_para, ONLY: bcast
+
+      IMPLICIT NONE
+
+!     input
+
+      integer :: nw               ! number of wavelength grid points
+      real, dimension(nw) :: wl   ! lower and central wavelength for each interval
+
+!     output
+
+      real, dimension(nw) :: yg   ! h2o cross-sections (cm2)
+
+!     local
+
+      integer, parameter :: kdata = 1500
+      real, parameter :: deltax = 1.e-4
+      REAL x1(kdata)
+      REAL y1(kdata)
+      INTEGER ierr, dummy
+      INTEGER i, n
+
+      CHARACTER*100 fil
+      integer :: kin, kout ! input/output logical units
+
+      kin = 10
+
+      fil = 'cross_sections/s2_millsBestEst_1560_5059.txt'
+      print*, 'section efficace S2: ', fil
+
+      if(is_master) then
+
+      OPEN(UNIT=kin,FILE=fil,STATUS='old') 
+
+      n = 1203 
+      DO i = 1, n
+        READ(kin,*) x1(i), y1(i)
+        x1(i) = x1(i)/10
+      END DO
+      CLOSE (kin)
+
+      CALL addpnt(x1,y1,kdata,n,x1(1)*(1.-deltax),0.)
+      CALL addpnt(x1,y1,kdata,n,          0.,0.)
+      CALL addpnt(x1,y1,kdata,n,x1(n)*(1.+deltax),0.)
+      CALL addpnt(x1,y1,kdata,n,      1.e+38,0.)
+      CALL inter2(nw,wl,yg,n,x1,y1,ierr)
+      IF (ierr .NE. 0) THEN
+         WRITE(*,*) ierr, fil
+         STOP
+      ENDIF
+
+      endif !is_master
+
+      call bcast(yg)
+
+      end subroutine rdxss2
+
+!==============================================================================
+
       subroutine rdxsh2o(nw, wl, yg)
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_online.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_online.F	(revision 2924)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/photolysis_online.F	(revision 2925)
@@ -5,5 +5,5 @@
      $           i_co2, i_co, i_o, i_o1d, i_o2, i_o3,i_h2,
      $           i_oh, i_ho2, i_h2o2, i_h2o,i_h,i_hcl,
-     $           i_cl2, i_hocl, i_so2, i_so, i_so3,
+     $           i_cl2, i_hocl, i_so2, i_so, i_so3, i_s2,
      $           i_clo, i_ocs, i_cocl2, i_h2so4, i_cl,                 
      $           i_no2, i_no, i_n2, i_n2d, nesp, rm,
@@ -21,7 +21,7 @@
       integer, intent(in) :: i_co2, i_co, i_o, i_o1d, i_o2, i_o3,
      $                       i_oh, i_ho2, i_h2o2, i_h2o, i_h, i_hcl,
-     $                       i_cl2, i_hocl, i_so2, i_so, i_so3, i_clo,
-     $                       i_ocs, i_cl, i_cocl2, i_h2so4, i_no2,
-     $                       i_no, i_n2, i_n2d, i_h2 
+     $                       i_cl2, i_hocl, i_so2, i_so, i_so3,i_s2,
+     $                       i_clo,i_ocs, i_cl, i_cocl2, i_h2so4,
+     $                       i_no2,i_no, i_n2, i_n2d, i_h2 
 
       real, dimension(nlayer), intent(in) :: press, temp,  zmmean    ! pressure (hpa)/temperature (k)/mean molecular mass (g.mol-1)
@@ -66,10 +66,10 @@
       integer :: j_o2_o, j_o2_o1d, j_co2_o, j_co2_o1d, j_o3_o1d, j_o3_o,
      $           j_h2o, j_h2o2, j_ho2, j_h, j_hcl, j_cl2, j_hocl, j_so2,
-     $           j_so, j_so3, j_clo, j_ocs, j_cocl2, j_h2so4, j_no2,
-     $           j_no, j_n2, j_h2
+     $           j_so, j_so3,j_s2, j_clo, j_ocs, j_cocl2, j_h2so4,
+     $           j_no2, j_no, j_n2, j_h2
 
       integer :: a_o2, a_co2, a_o3, a_h2o, a_h2o2, a_ho2, a_hcl, a_cl2,
-     $           a_hocl, a_so2, a_so, a_so3, a_clo, a_ocs, a_cocl2,
-     $           a_h2so4, a_no2, a_no, a_n2, a_h2
+     $           a_hocl, a_so2, a_so, a_so3, a_s2, a_clo, a_ocs,
+     $           a_cocl2, a_h2so4, a_no2, a_no, a_n2, a_h2
       integer :: i, ilay, iw, ialt
       real    :: deltaj
@@ -91,11 +91,12 @@
       a_so      = 12     ! so
       a_so3     = 13     ! so3
-      a_clo     = 14     ! clo
-      a_ocs     = 15     ! ocs
-      a_cocl2   = 16     ! cocl2
-      a_h2so4   = 17     ! h2so4
-      a_no2     = 18     ! no2
-      a_no      = 19     ! no
-      a_n2      = 20     ! n2
+      a_s2      = 14     ! s2
+      a_clo     = 15     ! clo
+      a_ocs     = 16     ! ocs
+      a_cocl2   = 17     ! cocl2
+      a_h2so4   = 18     ! h2so4
+      a_no2     = 19     ! no2
+      a_no      = 20     ! no
+      a_n2      = 21     ! n2
 
 !     photodissociation rates numbering. 
@@ -118,11 +119,12 @@
       j_so      = 15     ! so + hv     -> s + o
       j_so3     = 16     ! so3 + hv    -> so2 + o
-      j_clo     = 17     ! clo + hv    -> cl + o
-      j_ocs     = 18     ! ocs + hv    -> co + s
-      j_cocl2   = 19     ! cocl2 + hv  -> 2cl + co 
-      j_h2so4   = 20     ! h2so4 + hv  -> so3 + h2o
-      j_no2     = 21     ! no2 + hv    -> no + o
-      j_no      = 22     ! no + hv     -> n + o
-      j_n2      = 23     ! n2 + hv     -> n(2d) + n
+      j_s2      = 17     ! s2 + hv     -> s + s
+      j_clo     = 18     ! clo + hv    -> cl + o
+      j_ocs     = 19     ! ocs + hv    -> co + s
+      j_cocl2   = 20     ! cocl2 + hv  -> 2cl + co 
+      j_h2so4   = 21     ! h2so4 + hv  -> so3 + h2o
+      j_no2     = 22     ! no2 + hv    -> no + o
+      j_no      = 23     ! no + hv     -> n + o
+      j_n2      = 24     ! n2 + hv     -> n(2d) + n
 
 !     j_hdo_od  =        ! hdo + hv    -> od + h
@@ -185,4 +187,5 @@
             dtgas(ilay,iw,a_so) = colinc(ilay)*rm(ilay,i_so)*xsso(iw)
             dtgas(ilay,iw,a_so3) = colinc(ilay)*rm(ilay,i_so3)*xsso3(iw)
+            dtgas(ilay,iw,a_s2) = colinc(ilay)*rm(ilay,i_s2)*xss2(iw)
             dtgas(ilay,iw,a_clo) = colinc(ilay)*rm(ilay,i_clo)*xsclo(iw)
             dtgas(ilay,iw,a_ocs) = colinc(ilay)*rm(ilay,i_ocs)*xsocs(iw)
@@ -219,4 +222,5 @@
             sj(ilay,iw,j_hocl) = xshocl(iw)              ! hocl
             sj(ilay,iw,j_so) = xsso(iw)                  ! so 
+            sj(ilay,iw,j_s2) = xss2(iw)                  ! s2
             sj(ilay,iw,j_so3) = xsso3(iw)                ! so3
             sj(ilay,iw,j_clo) = xsclo(iw)                ! clo